[Testing Update] 2019-10-10 - Manjaro 18.1.1-rc2, Mesa 19.2.1, Pamac 9.0-rc5

Hello community,

I am happy to announce another Testing Update. Mostly we have updates for our second release candidate of Manjaro 18.1.1.


Tell us if we still miss some in 18.1.1-rc2!

Update news

This update holds the following changes:

  • we are happy to have our second release candidate based on our stable branch, which has this and all other previous package updates now.
  • we fixed some more issues of Pamac 9.0 series. Please test.
  • Mesa got updated to 19.2.1
  • The usual updates and improvements and upstream package renewals
  • Manjaro 18.1.1-rc2 got released! Please test and give us feedback: gnome, kde, xfce
  • Latest efforts by KDE can be reviewed via our current KDE-Dev ISO or current KDE-Vanilla ISO

Give us the usual feedback and let us know what you think about this update.


Current supported Kernels

  • linux316 3.16.75
  • linux44 4.4.196 (no legacy nvidia-340 module!)
  • linux49 4.9.196
  • linux414 4.14.148
  • linux419 4.19.78
  • linux52 5.2.20 [EOL] (no catalyst module!)
  • linux53 5.3.5 (no catalyst module!)
  • linux54 5.4.0-rc2 (not all modules build yet!)
  • linux419-rt 4.19.72_rt25
  • linux52-rt 5.2.19_rt11

Package Updates (Thu Oct 10 13:58:42 CEST 2019)

  • testing community x86_64: 47 new and 42 removed package(s)
  • testing core x86_64: 1 new and 1 removed package(s)
  • testing extra x86_64: 27 new and 17 removed package(s)
  • testing multilib x86_64: 7 new and 2 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-10-09           2019-10-10
-------------------------------------------------------------------------------
           bettercap-caplets v20191005.r333.7752b17-1 v20191009.r336.9b56899-1
 calamares-oem-infbk14-xfce-settings           20191008-1           20191010-1
                              etcher             1.5.57-2             1.5.58-1
      gnome-shell-extension-arc-menu           34.0+dev-134.1+dev+5+gb8bd28f-1
                         edid-decode                    -       r198.7d26052-1
                  synology-assistant                    -          6.2.23733-1
               synology-drive-client                    -        2.0.1.11061-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-10-09           2019-10-10
-------------------------------------------------------------------------------
                                aide             0.16.2-1             0.16.2-2
                               bazel             0.29.1-1             0.29.1-2
                browserpass-chromium              3.2.2-1              3.2.3-1
                 browserpass-firefox              3.2.2-1              3.2.3-1
                          emscripten            1.38.47-2            1.38.47-3
                    gimp-plugin-gmic              2.7.3-1              2.7.4-1
                           git-annex         7.20190912-6         7.20190912-7
                                gmic              2.7.3-1              2.7.4-1
                              gradle              5.6.2-1              5.6.2-3
                          gradle-doc              5.6.2-1              5.6.2-3
                          gradle-src              5.6.2-1              5.6.2-3
                        haskell-feed           1.2.0.0-14            1.2.0.1-1
                      home-assistant             0.99.3-1            0.100.0-1
                                jmol           14.29.53-1           14.29.54-1
                               jsmol           14.29.53-1           14.29.54-1
                     kcm-wacomtablet            1:3.2.0-1            1:3.2.0-2
                             klavaro               3.09-1               3.09-2
                   krita-plugin-gmic              2.7.3-1              2.7.4-1
                            krusader              2.7.2-1              2.7.2-2
                              ledger              3.1.3-2              3.1.3-3
                                 lxc            1:3.2.1-1            1:3.2.1-2
                              picard              2.2.1-1              2.2.2-1
                 python-aws-xray-sdk              2.4.2-2              2.4.2-4
                         python-dkim              0.9.4-1              0.9.5-1
                      python-msgpack              0.6.1-1              0.6.2-1
                     python-pynamodb              3.4.1-1              4.0.0-1
                         python-pytz             2019.2-1             2019.3-1
                     python2-msgpack              0.6.1-1              0.6.2-1
                        python2-pytz             2019.2-1             2019.3-1
                              qtpass              1.3.1-1              1.3.2-1
                                root            6.18.04-2            6.18.04-3
                           root-cuda            6.18.04-2            6.18.04-3
                          shellcheck             0.7.0-30             0.7.0-31
                               sndio              1.5.0-1              1.6.0-1
                     translate-shell            0.9.6.9-1           0.9.6.11-1
                              xrootd             4.10.0-1             4.11.0-1
                      youtube-viewer            1:3.5.5-1            1:3.5.8-1
                                zart              2.7.3-1              2.7.4-1
                           borgmatic                    -             1.3.23-2
                    python-pykwalify                    -              1.7.0-2
                     tpm2-tss-engine                    -              1.0.1-3


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-10-09           2019-10-10
-------------------------------------------------------------------------------
                              dhcpcd              7.2.2-1              8.0.6-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-10-09           2019-10-10
-------------------------------------------------------------------------------
                   libva-mesa-driver                    -             19.2.1-0
                                mesa                    -             19.2.1-0
                          mesa-vdpau                    -             19.2.1-0
                              mutter                    -3.34.1+4+gd49d10b14-1
                         opencl-mesa                    -             19.2.1-0
                  papirus-icon-theme                    -           20191009-0
                        vulkan-intel                    -             19.2.1-0
                   vulkan-mesa-layer                    -             19.2.1-0
                       vulkan-radeon                    -             19.2.1-0
                          webkit2gtk                    -           2.26.1-1.1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-10-09           2019-10-10
-------------------------------------------------------------------------------
                        cups-filters             1.25.7-1             1.25.9-1
                         flashplugin         32.0.0.255-1         32.0.0.270-1
                      gnome-calendar             3.34.1-1             3.34.2-1
                              gpaste             3.34.0-1             3.34.1-1
                        java-openjfx          12.0.2.u1-1             13.u14-1
                    java-openjfx-doc          12.0.2.u1-1             13.u14-1
                    java-openjfx-src          12.0.2.u1-1             13.u14-1
                              kismet         2019_08_R1-1         2019_09_R1-1
                              libnma             1.8.22-1             1.8.24-1
                             libsoup             2.68.1-1             2.68.2-1
                              libx11              1.6.8-1              1.6.9-3
              network-manager-applet             1.8.22-1             1.8.24-1
                nm-connection-editor             1.8.22-1             1.8.24-1
                        pepper-flash         32.0.0.255-1         32.0.0.270-1
                      perl-mail-dkim               0.56-1               0.57-1
                                vala             0.46.2-1             0.46.3-1
                           xorgproto             2019.1-2             2019.1-3


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-10-09           2019-10-10
-------------------------------------------------------------------------------
             lib32-libva-mesa-driver                    -             19.2.1-0
                          lib32-mesa                    -             19.2.1-0
                    lib32-mesa-vdpau                    -             19.2.1-0
                  lib32-vulkan-intel                    -             19.2.1-0
                 lib32-vulkan-radeon                    -             19.2.1-0


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2019-10-09           2019-10-10
-------------------------------------------------------------------------------
                       lib32-libsoup             2.68.1-1             2.68.2-1
                        lib32-libx11              1.6.8-1              1.6.9-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

6 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Pamac-Qt is not compatible to 9.0 API of Pamac

gnome-shell-extension-desktop-icons

the pkgver 19.10.1 ship with an hook to remove the capability from gnome-shell. A message is present during install but essentially you need to reboot the system to show correctly the icons in the desktop. More info here

Pamac is not functional. I tried to install from AUR (dropbox) and from from repos (few), failed in an ugly way.
Only kill was a solution.
pacman and trizen only safe for now...

pacman -Qs pamac
local/pamac-cli 9.0.0rc5-1
    A Package Manager based on libalpm with AUR and Appstream support
local/pamac-common 9.0.0rc5-1
    A Package Manager based on libalpm with AUR and Appstream support
local/pamac-gtk 9.0.0rc5-1
    A Package Manager based on libalpm with AUR and Appstream support
local/pamac-snap-plugin 9.0.0rc5-1
    Snap plugin for Pamac

System

inxi -SMIxxxaz
System:    Host: ma64testimg Kernel: 5.3.5-1-MANJARO x86_64 bits: 64 compiler: gcc v: 9.2.0 
           parameters: BOOT_IMAGE=/boot/vmlinuz-5.3-x86_64 root=UUID=57534c87-8a87-45d6-951c-8d5a118e4fe6 rw 
           scsi_mod.use_blk_mq=1 quiet resume=UUID=57534c87-8a87-45d6-951c-8d5a118e4fe6 resume_offset=34816 
           Desktop: KDE Plasma 5.16.5 tk: Qt 5.13.1 info: latte-dock wm: kwin_x11 dm: LightDM 1.30.0, SDDM 
           Distro: Manjaro Linux 
Machine:   Type: Desktop Mobo: ASUSTeK model: P7H55-M v: Rev X.0x serial: <filter> BIOS: American Megatrends v: 1101 
           date: 08/18/2010 
Info:      Processes: 261 Uptime: 10h 28m Memory: 7.57 GiB used: 4.25 GiB (56.2%) Init: systemd v: 242 Compilers: gcc: 9.2.0 
           Shell: bash v: 5.0.11 running in: yakuake inxi: 3.0.36 

Good luck!

Looks fine here (pamac 9.0.0.rc5.1). I tried Dropbox, it failed with a missing key, which it retrieve then went through fine after. I also install parlatype which use multiple scripts and all went through.

On a side line, there is a bug with Dropbox. If select on the taskbar, the whole bar start flashing like crazy.

Xfce

pamac looks fine for me.

dropbox fails to build even with pamac 8. but every other AUR package i have installed is working fine for me with pamac 8 / 9 (google chrome, dolphin emu).

so it's not a specific pamac 9 rc bug.

i have to use trizen for dropbox, since i've switched to pamac from octopi, but that's ok for me.
overall, pamac 9 is working much better than pamac 8. 8 did freeze often while checking for updates or right before installing ones (checking for dependency errors <- the chance for pamac 8 to freeze here, was 70%) - since we test pamac 9, i've had never a single problem. the only thing that remains is the AUR dropbox package, but as i have said, even pamac 8 failed to update that.

Pamac 9.0.0.rc5.1 went fine .. just installed Google Chrome 77.0.3865 from AUR and it did this fine.

All good here, though when something needs a key, you do have to try again, as it fails when you accept for no reason.

warning: python-pip: local (19.2.3-1.4) is newer than extra (19.2.3-1)

I kept the newer version.

I downgraded. I understand now why it was a problem. It does not really matter to me but I will stay in sync anyway.

Pamac getting stuck when trying to install some packages from AUR. Tried to install the same package with yay from terminal, it works perfect. It has to be killed to unfreeze it.

Output:

Cloning spotify-tui build files...
Checking spotify-tui dependencies...
Preparing...

Last update before this one was from 25.09.2019.
Everything went well. No hickups.

Since a couple of updates I have lost Notification sounds.
I get this for pulse in journal

journalctl -b -g pulse --no-hostname --no-pager
-- Logs begin at Sat 2019-09-28 21:39:18 EEST, end at Sat 2019-10-12 14:01:45 EEST. --
Οκτ 12 13:00:59 ksmserver[5733]: org.kde.kf5.ksmserver: Starting autostart service  "/etc/xdg/autostart/pulseaudio.desktop" ("/usr/bin/start-pulseaudio-x11")
Οκτ 12 13:01:00 dbus-daemon[645]: [system] Activating via systemd: service name='org.freedesktop.RealtimeKit1' unit='rtkit-daemon.service' requested by ':1.51' (uid=1002 pid=5839 comm="/usr/bin/pulseaudio --daemonize=no ")
Οκτ 12 13:01:02 dbus-daemon[645]: [system] Activating via systemd: service name='org.bluez' unit='dbus-org.bluez.service' requested by ':1.99' (uid=1002 pid=5839 comm="/usr/bin/pulseaudio --daemonize=no ")
Οκτ 12 13:01:02 pulseaudio[5839]: W: [pulseaudio] module.c: module-combine is deprecated: Please use module-combine-sink instead of module-combine!
Οκτ 12 13:01:02 pulseaudio[5839]: W: [pulseaudio] module-combine.c: We will now load module-combine-sink. Please make sure to remove module-combine from your configuration.
Οκτ 12 13:01:07 systemd[950]: pulseaudio.socket: Succeeded.
Οκτ 12 13:01:27 pulseaudio[5839]: E: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
Οκτ 12 13:01:32 systemsettings5[8047]: org.kde.kcoreaddons: Error loading plugin "kcm_pulseaudio" "The shared library was not found." 
                                          Plugin search paths are ("/usr/lib/qt/plugins", "/usr/bin") 
                                          The environment variable QT_PLUGIN_PATH might be not correctly set
Οκτ 12 13:01:32 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:01:32 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:01:32 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:01:32 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:01:32 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:07:34 systemsettings5[8047]: org.kde.kcoreaddons: Error loading plugin "kcm_pulseaudio" "The shared library was not found." 
                                          Plugin search paths are ("/usr/lib/qt/plugins", "/usr/bin") 
                                          The environment variable QT_PLUGIN_PATH might be not correctly set
Οκτ 12 13:07:34 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:07:34 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:07:34 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:07:34 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:07:34 systemsettings5[8047]: file:///usr/share/kpackage/kcms/kcm_pulseaudio/contents/ui/Advanced.qml:74:9: QML CheckBox: Binding loop detected for property "checked"
Οκτ 12 13:13:54 systemd[5515]: pulseaudio.service: Succeeded.
Οκτ 12 13:14:03 ksmserver[10385]: org.kde.kf5.ksmserver: Starting autostart service  "/etc/xdg/autostart/pulseaudio.desktop" ("/usr/bin/start-pulseaudio-x11")
Οκτ 12 13:14:06 pulseaudio[10436]: W: [pulseaudio] module.c: module-combine is deprecated: Please use module-combine-sink instead of module-combine!
Οκτ 12 13:14:06 pulseaudio[10436]: W: [pulseaudio] module-combine.c: We will now load module-combine-sink. Please make sure to remove module-combine from your configuration.
Οκτ 12 13:14:12 systemd[10289]: pulseaudio.socket: Succeeded.
Οκτ 12 13:14:30 pulseaudio[10436]: E: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
Οκτ 12 13:24:06 pulseaudio[10436]: W: [pulseaudio] module-ladspa-sink.c: The 'master' module argument is deprecated and may be removed in the future, please use the 'sink_master' argument instead.
Οκτ 12 13:28:51 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/c3d3822938374728bb95bd0481957e9a-card-database.tdb>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/c3d3822938374728bb95bd0481957e9a-device-manager.tdb>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/c3d3822938374728bb95bd0481957e9a-device-volumes.tdb>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/c3d3822938374728bb95bd0481957e9a-stream-volumes.tdb>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/cookie>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/c3d3822938374728bb95bd0481957e9a-default-sink>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/c3d3822938374728bb95bd0481957e9a-default-source>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/default.pa>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/c3d3822938374728bb95bd0481957e9a-card-database.tdb>: 9
Οκτ 12 13:29:02 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse/default.pa>: 9
Οκτ 12 13:29:57 dolphin[11845]: MEGASYNCOVERLAYPLUGIN: getOverlays </home/kpetros/.config/pulse>: 9
Οκτ 12 13:30:52 systemd[5515]: pulseaudio.service: Succeeded.
Οκτ 12 13:31:02 systemd[5515]: pulseaudio.socket: Succeeded.
Οκτ 12 13:31:13 ksmserver[12312]: org.kde.kf5.ksmserver: Starting autostart service  "/etc/xdg/autostart/pulseaudio.desktop" ("/usr/bin/start-pulseaudio-x11")
Οκτ 12 13:31:21 systemd[12207]: pulseaudio.socket: Succeeded.
Οκτ 12 13:31:41 pulseaudio[12363]: E: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)
Οκτ 12 13:51:45 systemd[12237]: pulseaudio.service: Succeeded.
Οκτ 12 13:51:54 systemd[12237]: pulseaudio.socket: Succeeded.
Οκτ 12 13:51:59 ksmserver[12947]: org.kde.kf5.ksmserver: Starting autostart service  "/etc/xdg/autostart/pulseaudio.desktop" ("/usr/bin/start-pulseaudio-x11")
Οκτ 12 13:52:02 pulseaudio[13003]: W: [pulseaudio] module.c: module-combine is deprecated: Please use module-combine-sink instead of module-combine!
Οκτ 12 13:52:02 pulseaudio[13003]: W: [pulseaudio] module-combine.c: We will now load module-combine-sink. Please make sure to remove module-combine from your configuration.
Οκτ 12 13:52:07 systemd[12840]: pulseaudio.socket: Succeeded.
Οκτ 12 13:52:26 pulseaudio[13003]: E: [pulseaudio] bluez5-util.c: GetManagedObjects() failed: org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.bluez': timed out (service_start_timeout=25000ms)

Any advice welcome...


Murphy's Laws are still valid!!
Even if I tried to troubleshoot, only after asking for help I could fix the Notifications sounds issue.
Only pavucontrol could restore Notifications volume. Using Plasma utils (panel widget, Settings-Multimedia) could not do this.
Mysteries of the Universe!!! :alien:

1 Like

I just upgraded Ocenaudio from AUR, no problem.

Good for you!

1 Like

You should create a new topic for that.

1 Like

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by